Index: talk/tags/20090326/epoll.tex
===================================================================
--- talk/trunk/epoll.tex	(revision 97)
+++ talk/tags/20090326/epoll.tex	(revision 105)
@@ -38,8 +38,8 @@
 \end{frame}
 
-\section{Vote electronique}
-
-\begin{frame}
-\frametitle{Généralité}
+\section{Vote électronique}
+
+\begin{frame}
+\frametitle{Généralités}
 
 \vfill
@@ -53,5 +53,6 @@
 \begin{alertblock}{Est-ce bien ?}
 \begin{itemize}
-\item Impossiblité de contrôle par le votant (voir la comission electorale)
+\small{
+\item Impossibilité de contrôle par l'électeur (voir la commission électorale)
 \pause
     \begin{itemize}
@@ -62,6 +63,7 @@
     \item contrôle visuel impossible
     \end{itemize}
-\pause
-\item le syndrôme "L'ordinateur ne se trompe jamais"
+}
+\pause
+\item le syndrome "L'ordinateur ne se trompe jamais"
 \end{itemize}
 \end{alertblock}
@@ -84,5 +86,5 @@
 \vfill
 \begin{block}{Le LATMOS}
-Demande de vote éléctronique de la direction
+Demande de vote électronique de la direction
 \end{block}
 \pause
@@ -94,10 +96,10 @@
 \vfill
 \begin{block}{solutions payantes}
-entre 1500 et 5000 euros
+Entre 1500 et 5000 euros
 \end{block}
 \pause
 \vfill
 \begin{block}{Sujet intéressant}
-surtout quand il me donne des arguments contre
+Surtout quand il me donne des arguments contre
 \end{block}
 \vfill
@@ -138,5 +140,5 @@
 \begin{frame}
 \frametitle{Création du vote}
-\begin{block}{La comission electorale}
+\begin{block}{La commission électorale}
 \begin{enumerate}
 \item demande de création
@@ -146,7 +148,7 @@
 \item configuration du vote (dont date)
 \pause
-\item inscription des votants
-\pause
-\item envois des identifiants au votants
+\item inscription des électeurs
+\pause
+\item envois des identifiants au électeurs
 \end{enumerate}
 \end{block}
@@ -155,7 +157,7 @@
 \begin{frame}
 \frametitle{Le vote}
-\begin{block}{Les votants}
+\begin{block}{Les électeurs}
 \begin{enumerate}
-\item reception du mail avec url, login et mot de passe
+\item réception du mail avec url, login et mot de passe
 \pause
 \item authentification sur le site
@@ -167,5 +169,5 @@
 \item affichage du numéro du bulletin
 \pause
-\item reception d'un acccusé de reception par mail
+\item réception d'un accusé de réception par mail
 \end{enumerate}
 \end{block}
@@ -174,5 +176,6 @@
 \begin{frame}
 \frametitle{Le dépouillement}
-\begin{block}{La comission electorale}
+\vfill
+\begin{block}{La commission électorale}
 \begin{enumerate}
 \item consolidation des choix libres si besoin
@@ -181,4 +184,13 @@
 \end{enumerate}
 \end{block}
+\pause
+\vfill
+\begin{block}{Dès la fin du vote}
+\begin{itemize}
+\item Les résultats (provisoires) sont disponibles
+\item La liste de bulletins est disponible
+\end{itemize}
+\end{block}
+\vfill
 \end{frame}
 
@@ -189,10 +201,10 @@
 \vfill
 \begin{block}{stockage}
-Pas de relation entre le votant et le bulletin
-\end{block}
-\pause
-\vfill
-
-\begin{exampleblock}{émargement}
+Pas de relation entre l'électeur et le bulletin
+\end{block}
+\pause
+\vfill
+
+\begin{exampleblock}{Émargement}
 \begin{tabular}{|c|c|c|}
 \hline
@@ -226,8 +238,8 @@
 \begin{itemize}
 \only<1->{\item chiffré de manière irréversible}
-\only<2-5>{\item crypt UNIX MD5}
-\only<3-5>{\item mot de passe aléatoire (votants)}
-\only<4-5>{\item salt aléatoire}
-\only<6->{\item ne peut être lu}
+\only<2-5>{\item \textit{crypt} UNIX MD5}
+\only<3-5>{\item mot de passe aléatoire (électeurs)}
+\only<4-5>{\item \textit{salt} aléatoire}
+\only<6->{\item ne peut être retrouvé}
 \only<7->{\item méthode fiable}
 
@@ -236,5 +248,5 @@
 \vfill
 \onslide<5->
-\begin{exampleblock}{Stockage des mot de passe}
+\begin{exampleblock}{Stockage des mots de passe}
 En clair:
 
@@ -248,19 +260,19 @@
 
 \begin{frame}
-\frametitle{Eviter les tricheries}
-\vfill
-\begin{block}{Coté base de données}
+\frametitle{Éviter les tricheries}
+\vfill
+\begin{block}{Côté base de données}
 \begin{itemize}
 \pause
 \item le vote est transactionnel (tout ou rien)
 \pause
-\item Contraintes référencielles
-\end{itemize}
-\end{block}
-\pause
-\vfill
-\begin{block}{Controle par l'utilisateur}
-\begin{itemize}
-\item nombre de votants et nombre de bulletins disponible
+\item contraintes référentielles
+\end{itemize}
+\end{block}
+\pause
+\vfill
+\begin{block}{Contrôle par l'utilisateur}
+\begin{itemize}
+\item nombre de votants et nombre de bulletins disponibles
 \pause
 \item liste d'émargement disponible
@@ -284,10 +296,10 @@
 \end{alertblock}
 \vfill
-\begin{alertblock}{la base de donnée}
+\begin{alertblock}{La base de données}
 \begin{itemize}
 \pause
 \item lecture: accès aux résultats avant la fin du vote
 \pause
-\item ecriture: modification des résultats (mais cela devrait se voir)
+\item écriture: modification des résultats (mais cela devrait se voir)
 \end{itemize}
 \pause
@@ -295,5 +307,5 @@
 \vfill
 \begin{alertblock}{L'application elle même}
-S'assurer de l'intégriter du code
+S'assurer de l'intégrité du code
 \end{alertblock}
 \vfill
@@ -306,8 +318,8 @@
 \only<2-4>{Bien sûr}
 \onslide<5->{
-Plein de chose sont à revoir:
+Plein de choses sont à revoir:
 \begin{itemize}
 \onslide<5->{\item la partie validation du vote}
-\onslide<6->{\item certaines partie du code devrait être plus robustes}
+\onslide<6->{\item certaines parties du code devraient être plus robustes}
 \onslide<7->{\item des validations des données à ajouter}
 \onslide<7->{\item \ldots}
@@ -327,5 +339,5 @@
 \onslide<9->{
 \begin{block}{Promesse:}
-Avoir quelquechose à proposer pour le vote du CL (en 15 jours)
+Avoir quelque chose à proposer pour le vote du CL (en 15 jours)
 \end{block}
 }
@@ -337,20 +349,75 @@
 \begin{frame}
 \frametitle{Epoll 2.0}
+\vfill
 \begin{block}{Idées}
 \begin{itemize}
 \pause
-\item pourvoir changer son vote (demande reflexion)
-\pause
-\item support des plusieurs langues (i18n)
+\item pouvoir changer son vote (demande réflexion)
+\pause
+\item support de plusieurs langues (i18n)
 \pause
 \item rendre un vote privé
 \pause
-\item pouvoir redemander un mot de passe (votants)
+\item pouvoir redemander un mot de passe (électeurs)
 \item \ldots
 \end{itemize}
 \end{block}
+\vfill
+\pause
+\begin{block}{et la CNIL ?}
+Appliquer la \textit{Délibération n° 03-036 du 1er juillet 2003 portant
+adoption d'une recommandation relative à la sécurité des systèmes de
+vote électronique}.
+
+\href{http://www.cnil.fr/index.php?id=1356}{http://www.cnil.fr/index.php?id=1356}
+\end{block}
+\vfill
+\end{frame}
+
+\subsection{Questions}
+
+\begin{frame}
+\frametitle{Questions}
+\vfill
+\begin{block}{}
+Des questions rapides avant de passer au test ?
+\end{block}
+\vfill
 \end{frame}
 
 \section{Test}
 
+\begin{frame}
+\frametitle{Le test}
+\vfill
+\begin{block}{La demo}
+\href{http://forge.ipsl.jussieu.fr/epoll/demo}{http://forge.ipsl.jussieu.fr/epoll/demo}
+\end{block}
+\vfill
+\end{frame}
+
+\section{A vous}
+
+\begin{frame}
+\frametitle{Questions et remarques}
+\vfill
+\begin{block}{Le projet}
+\href{http://forge.ipsl.jussieu.fr/epoll}{http://forge.ipsl.jussieu.fr/epoll:}
+\begin{itemize}
+\item le code
+\item la documentation
+\end{itemize}
+\end{block}
+\vfill
+\pause
+\begin{block}{Avez-vous:}
+\begin{itemize}
+\item des questions
+\item des remarques
+\item des critiques
+\end{itemize}
+\end{block}
+\vfill
+\end{frame}
+
 \end{document}