Index: /trunk/lib/Vote/Controller/Admin.pm
===================================================================
--- /trunk/lib/Vote/Controller/Admin.pm	(revision 228)
+++ /trunk/lib/Vote/Controller/Admin.pm	(revision 229)
@@ -74,5 +74,6 @@
                 map { $_ => ($c->req->param($_) || undef) }
                 grep { exists($c->req->params->{$_}) }
-                qw(label description start end choice_count free_choice elected_count elected_choice)
+                qw(label description start end choice_count
+                free_choice elected_count elected_choice procedure)
             ) and $poll->commit;
         } elsif ($c->req->param('encrypted')) {
Index: /trunk/root/latex/includes/info.tt
===================================================================
--- /trunk/root/latex/includes/info.tt	(revision 228)
+++ /trunk/root/latex/includes/info.tt	(revision 229)
@@ -5,8 +5,19 @@
 \section{Description du vote}
 
-[%- poll.info('description') -%]
+[% IF poll.info('description') -%]
+\paragraph{Description:}
 
+[% poll.info('description') %]
+[%- END -%]
 
-[% poll.info('choice_count') %] choix Ã©taient Ã  retenir.
+[% IF poll.info('procedure') -%]
+\paragraph{RÃšglement:}
+
+[% poll.info('procedure') %]
+[%- END -%]
+
+[% poll.info('choice_count') %] choix Ã  faire
+[%- IF poll.info('choice_count') != poll.info('elected_count') -%]
+pour [% poll.info('elected_count') %] Ã©lu(s)[%- END -%].
 
 Etait candidats:
@@ -23,4 +34,5 @@
 [%- END -%]
 [%- END -%]
+
 
 Nombre d'Ã©lecteurs: [% poll.voting_count %].
Index: /trunk/root/mail/voting_passwd.tt
===================================================================
--- /trunk/root/mail/voting_passwd.tt	(revision 228)
+++ /trunk/root/mail/voting_passwd.tt	(revision 229)
@@ -2,27 +2,29 @@
 Vous Ãªtes conviÃ© Ã  participer a ce vote:
 
+[% poll.info.label %]
+
+--
+Ã l'url: [% c.uri_for('/ballot', poll.uid) %]
+Votre identifiant est: [% mail %]
+Votre mot de passe est: [% passwd %]
+
+[% IF poll.info.dstart && poll.info.dstart -%]
+Vous pourrez voter entre le [% poll.info.dstart %] [% poll.info.hstart %]
+et le [% poll.info.dend %] [% poll.info.hend %]
+[%- END %]
+
+Conservez prÃ©cieusement ces identifiants, il ne vous seront pas retransmits.
+
+Information concernant le vote:
+
+[% IF poll.info('description') %]
+[% poll.info('description') %]
 --------
-[% poll.info.label %]
---------
-[% IF poll.info.description %]
-[% poll.info.description %]
+[%- END %]
+[% IF poll.info('procedure') %]
+[% poll.info('procedure') %]
 --------
 [%- END %]
 
-Vous pourrez voter
-[% IF poll.info.dstart && poll.info.dstart -%]
-entre le [% poll.info.dstart %] [% poll.info.hstart %]
-et le [% poll.info.dend %] [% poll.info.hend %]
-[%- END %]
-Ã  l'adresse:
-
-[% c.uri_for('/ballot', poll.uid) %]
-
---
-Votre identifiant est: [% mail %]
-Votre mot de passe est: [% passwd %]
-
-Conservez prÃ©cieusement ces identifiants, il ne vous seront pas retransmits.
 
 Cordialement.
-EOF
Index: /trunk/root/templates/admin/includes/poll_settings.tt
===================================================================
--- /trunk/root/templates/admin/includes/poll_settings.tt	(revision 228)
+++ /trunk/root/templates/admin/includes/poll_settings.tt	(revision 229)
@@ -7,8 +7,11 @@
 <form action="[% c.uri_for(poll.uid) %]" method="POST">
 
-Label: <input type="text" name="label" value="[% c.req.param('label') || poll.info('label') | html %]">
+Nom:<br><input type="text" name="label" value="[% c.req.param('label') || poll.info('label') | html %]">
 <br>
 Description:<br>
 <textarea name="description" cols="60" rows="4">[% c.req.param('description') || poll.info('description') | html %]</textarea>
+<br>
+RÃšglement:<br>
+<textarea name="procedure" cols="60" rows="4">[% c.req.param('procedure') || poll.info('procedure') | html %]</textarea>
 <br>
 <hr>
Index: /trunk/root/templates/ballot/default.tt
===================================================================
--- /trunk/root/templates/ballot/default.tt	(revision 228)
+++ /trunk/root/templates/ballot/default.tt	(revision 229)
@@ -40,5 +40,4 @@
 [% ELSE %]
 
-
 [% INCLUDE 'includes/ballot_form.tt' %]
 
Index: /trunk/root/templates/includes/ballot_form.tt
===================================================================
--- /trunk/root/templates/includes/ballot_form.tt	(revision 228)
+++ /trunk/root/templates/includes/ballot_form.tt	(revision 229)
@@ -1,4 +1,12 @@
 <!-- $Id$ -->
 [% poll = c.model('Vote').poll(voteid) %]
+
+[% IF poll.info('procedure') %]
+[% poll.info('procedure') | html %]
+<hr>
+[% ELSIF poll.info('description') %]
+[% poll.info('description') | html %]
+<hr>
+[% END %]
 
 <!-- $Id$ -->
@@ -9,4 +17,8 @@
 [% choice.info.label | html %]<br>
 [% END %]
+
+<p>Vous devez faire [% poll.info('choice_count') %] choix
+[%- IF poll.info('choice_count') != poll.info('elected_count') -%]
+pour [% poll.info('elected_count') %] Ã©lu(s)[%- END -%].</p>
 
 [% count = 0 %]
@@ -27,4 +39,5 @@
 [% count = 0 %]
 [% WHILE count < poll.info('free_choice') %]
+[% "<p>Choi(x) libre(s)</p>" IF count == 0 %]
 <input type="text" name="fsbal" value="[% fsbal.$count %]"><br>
 [% count = count + 1 %]
Index: /trunk/root/templates/includes/poll.tt
===================================================================
--- /trunk/root/templates/includes/poll.tt	(revision 228)
+++ /trunk/root/templates/includes/poll.tt	(revision 229)
@@ -5,5 +5,13 @@
 <div style="float: left; width: 70%;">
 <p id="poll_label">[% poll.info('label') | html %]</p>
+[% IF poll.info('description') %]
 <p>[% poll.info('description') | html | html_line_break %]</p>
+[% END %]
+[% IF poll.info('procedure') %]
+<p>[% poll.info('procedure') | html | html_line_break %]</p>
+[% END %]
+<p>[% poll.info('choice_count') %] choix est/sont Ã  faire
+[%- IF poll.info('choice_count') != poll.info('elected_count') -%]
+pour [% poll.info('elected_count') %] Ã©lu(s)[%- END -%].</p>
 [% IF poll.info('dstart') && poll.info('dend') %]
 <p>Scrutin ouvert du <b>[% poll.info('dstart') _ ' ' _ poll.info('hstart') | html %]</b> au