Index: trunk/t/01app.t
===================================================================
--- trunk/t/01app.t	(revision 228)
+++ trunk/t/01app.t	(revision 242)
@@ -3,5 +3,5 @@
 use Test::More tests => 2;
 
-BEGIN { use_ok 'Catalyst::Test', 'Vote' }
+BEGIN { use_ok 'Catalyst::Test', 'Epoll' }
 
 ok( request('/')->is_success, 'Request should succeed' );
Index: trunk/t/10Epoll_DB.t
===================================================================
--- trunk/t/10Epoll_DB.t	(revision 242)
+++ trunk/t/10Epoll_DB.t	(revision 242)
@@ -0,0 +1,169 @@
+use strict;
+use warnings;
+use Test::More;
+
+# $Id$
+
+# Tpoll Structure:
+#    {
+#        poll => { var => $val },
+#        choices => [ qw() ],
+#        voting => [ qw(mail) ],
+#        ballot => {
+#        # signing from voting list
+#            signing => { sbal => [], fsbal => [] } # list of items
+#        },
+#        map => { from => to },
+#        results => { var => $val }, # wanted results 
+#    }
+my $test_polls = [
+    { # an empty poll
+        poll => { label => 'empty poll' },
+        choices => [ qw(ch1 ch2) ],
+        test_count => 4,
+        tests => sub {
+            my ($r) = @_;
+            is($r->absolute_majority, 1, "Can get absolute_majority");
+            is($r->ballot_count, 0, "can get ballot count");
+            is($r->voting_count, 0, "can get voting count");
+            is($r->signing_count, 0, "can get signing count");
+        }
+    },
+    {
+        poll => { label => 'some vals' },
+        choices => [ qw(ch1 ch2) ],
+        voting => [ qw(a b c d e f) ],
+        ballot => {
+            a => { sbal => [ 'ch1' ] },
+            b => { sbal => [ 'ch1', 'ch10' ] },
+            d => { sbal => [ 'ch1', 'ch2' ] },
+            f => {},
+        },
+        test_count => 7,
+        tests => sub {
+            my ($r) = @_;
+            is($r->absolute_majority, 2, "Can get absolute_majority");
+            is($r->ballot_count, 4, "can get ballot count");
+            is($r->ballot_count_nonull, 3, "can get ballot count");
+            is($r->voting_count, 6, "can get voting count");
+            is($r->signing_count, 4, "can get signing count");
+            my $res = $r->results;
+            is($res->[0]->{value}, 'ch1', "winner is ch1");
+            is($res->[0]->{count}, 3, "winner has 3 voices");
+        }
+    },
+    {
+        poll => { label => 'some vals with mapped values' },
+        choices => [ qw(ch1 ch2 ch3) ],
+        voting => [ qw(a b c d e f) ],
+        ballot => {
+            a => { sbal => [ 'ch1' ] },
+            b => { sbal => [ 'ch1', 'ch10' ] },
+            d => { sbal => [ 'ch1', 'ch2', 'ch4' ] },
+            f => {},
+        },
+        test_count => 14,
+        tests => sub {
+            my ($r) = @_;
+            $r->map_value('ch10', 'ch1');
+            is($r->absolute_majority, 2, "Can get absolute_majority");
+            is($r->ballot_count, 4, "can get ballot count");
+            is($r->not_empty_ballot_count, 3, "can get ballot count");
+            is($r->empty_ballot_count, 1, "can get empty ballot count");
+            is($r->voting_count, 6, "can get voting count");
+            is($r->signing_count, 4, "can get signing count");
+            my $res = $r->results;
+            is($res->[0]->{value}, 'ch1', "winner is ch1");
+            is($res->[0]->{count}, 3, "winner has 3 voices");
+            ok($res->[0]->{abs_maj}, "winner has absolute majority");
+            ok($res->[0]->{elected}, "winner is set as elected");
+            is(@$res, 4, "count of winners");
+            is($res->[3]->{count}, 0, "last has 0 voices");
+            ok(!$res->[3]->{abs_maj}, "last has not absolute majority");
+            ok(!$res->[3]->{elected}, "last is not set as elected");
+        }
+    },
+    {
+        poll => {
+            label => 'empty ballot count',
+            empty_ballot_has_voice => 1,
+        },
+        choices => [ qw(ch1 ch2 ch3) ],
+        voting => [ qw(a b c d e f) ],
+        ballot => {
+            a => { sbal => [ 'ch1' ] },
+            b => { sbal => [ 'ch1', 'ch2' ] },
+            d => { sbal => [ 'ch1', 'ch2' ] },
+            e => {},
+            f => {},
+        },
+        test_count => 10,
+        tests => sub {
+            my ($r) = @_;
+            is($r->absolute_majority, 3, "Can get absolute_majority");
+            is($r->ballot_count, 5, "can get ballot count");
+            is($r->not_empty_ballot_count, 3, "can get ballot count");
+            is($r->empty_ballot_count, 2, "can get empty ballot count");
+            is($r->voting_count, 6, "can get voting count");
+            is($r->signing_count, 5, "can get signing count");
+            my $res = $r->results;
+            is($res->[0]->{value}, 'ch1', "winner is ch1");
+            is($res->[0]->{count}, 3, "winner has 3 voices");
+            is(@$res, 4, "count of winners");
+            is($res->[3]->{count}, 0, "last has 0 voices");
+        }
+    },
+];
+
+my $poll_test_count = 0;
+$poll_test_count += ($_->{test_count} || 0) foreach(@$test_polls);
+
+plan tests => 
+    3                          # Fixed test 
+    + scalar(@$test_polls) * 6 # number of tested polls scenario
+    + $poll_test_count;        # poll test
+
+use_ok 'Epoll', 'Epoll';
+use_ok 'Epoll::DB';
+$ENV{EPOLL_NO_COMMIT} = 1;
+isa_ok(my $vote = Epoll::DB->new(Epoll->config->{db}), 'Epoll::DB');
+
+my $count = 0;
+foreach my $tpoll (@$test_polls) {
+    $count++;
+    diag("Testing vote #$count: " . ($tpoll->{poll}{label} || 'No name'));
+    ok(my $pollid = $vote->create_poll('test@', "Vote test $count", "password"),
+        "can create a new poll");
+
+    isa_ok(my $poll = $vote->poll($pollid), 'Epoll::DB::Poll');
+
+    ok(my $puid = $poll->uid, "can get poll uid");
+    is($vote->poll_id_from_uid($puid), $pollid, "can get id from uid");
+
+    foreach (keys %{ $tpoll->{poll} || {}}) {
+        $poll->param($_ => $tpoll->{poll}{$_});
+    }
+
+    $poll->addupd_voting($_) foreach (@{ $tpoll->{voting} || [] });
+
+    foreach (@{ $tpoll->{choices} || [] }) {
+        $poll->add_choice($_);
+    }
+
+    ok(eq_set(
+            [ map { $poll->choice($_)->info->{label} } $poll->choices ],
+            $tpoll->{choices} || []), "choices were added");
+
+    foreach my $name (keys %{ $tpoll->{ballot} || {} }) {
+        $poll->register_ballot(
+            $name, $tpoll->{ballot}{$name}{sbal}, 'localhost'
+        );
+    }
+    
+    isa_ok(my $results = $vote->results($pollid), 'Epoll::DB::Poll');
+
+    $tpoll->{tests}->($results);
+
+    $vote->db->rollback; # really rollback
+}
+
Index: trunk/t/10Vote_DB.t
===================================================================
--- trunk/t/10Vote_DB.t	(revision 228)
+++ 	(revision )
@@ -1,169 +1,0 @@
-use strict;
-use warnings;
-use Test::More;
-
-# $Id$
-
-# Tpoll Structure:
-#    {
-#        poll => { var => $val },
-#        choices => [ qw() ],
-#        voting => [ qw(mail) ],
-#        ballot => {
-#        # signing from voting list
-#            signing => { sbal => [], fsbal => [] } # list of items
-#        },
-#        map => { from => to },
-#        results => { var => $val }, # wanted results 
-#    }
-my $test_polls = [
-    { # an empty poll
-        poll => { label => 'empty poll' },
-        choices => [ qw(ch1 ch2) ],
-        test_count => 4,
-        tests => sub {
-            my ($r) = @_;
-            is($r->absolute_majority, 1, "Can get absolute_majority");
-            is($r->ballot_count, 0, "can get ballot count");
-            is($r->voting_count, 0, "can get voting count");
-            is($r->signing_count, 0, "can get signing count");
-        }
-    },
-    {
-        poll => { label => 'some vals' },
-        choices => [ qw(ch1 ch2) ],
-        voting => [ qw(a b c d e f) ],
-        ballot => {
-            a => { sbal => [ 'ch1' ] },
-            b => { sbal => [ 'ch1', 'ch10' ] },
-            d => { sbal => [ 'ch1', 'ch2' ] },
-            f => {},
-        },
-        test_count => 7,
-        tests => sub {
-            my ($r) = @_;
-            is($r->absolute_majority, 2, "Can get absolute_majority");
-            is($r->ballot_count, 4, "can get ballot count");
-            is($r->ballot_count_nonull, 3, "can get ballot count");
-            is($r->voting_count, 6, "can get voting count");
-            is($r->signing_count, 4, "can get signing count");
-            my $res = $r->results;
-            is($res->[0]->{value}, 'ch1', "winner is ch1");
-            is($res->[0]->{count}, 3, "winner has 3 voices");
-        }
-    },
-    {
-        poll => { label => 'some vals with mapped values' },
-        choices => [ qw(ch1 ch2 ch3) ],
-        voting => [ qw(a b c d e f) ],
-        ballot => {
-            a => { sbal => [ 'ch1' ] },
-            b => { sbal => [ 'ch1', 'ch10' ] },
-            d => { sbal => [ 'ch1', 'ch2', 'ch4' ] },
-            f => {},
-        },
-        test_count => 14,
-        tests => sub {
-            my ($r) = @_;
-            $r->map_value('ch10', 'ch1');
-            is($r->absolute_majority, 2, "Can get absolute_majority");
-            is($r->ballot_count, 4, "can get ballot count");
-            is($r->not_empty_ballot_count, 3, "can get ballot count");
-            is($r->empty_ballot_count, 1, "can get empty ballot count");
-            is($r->voting_count, 6, "can get voting count");
-            is($r->signing_count, 4, "can get signing count");
-            my $res = $r->results;
-            is($res->[0]->{value}, 'ch1', "winner is ch1");
-            is($res->[0]->{count}, 3, "winner has 3 voices");
-            ok($res->[0]->{abs_maj}, "winner has absolute majority");
-            ok($res->[0]->{elected}, "winner is set as elected");
-            is(@$res, 4, "count of winners");
-            is($res->[3]->{count}, 0, "last has 0 voices");
-            ok(!$res->[3]->{abs_maj}, "last has not absolute majority");
-            ok(!$res->[3]->{elected}, "last is not set as elected");
-        }
-    },
-    {
-        poll => {
-            label => 'empty ballot count',
-            empty_ballot_has_voice => 1,
-        },
-        choices => [ qw(ch1 ch2 ch3) ],
-        voting => [ qw(a b c d e f) ],
-        ballot => {
-            a => { sbal => [ 'ch1' ] },
-            b => { sbal => [ 'ch1', 'ch2' ] },
-            d => { sbal => [ 'ch1', 'ch2' ] },
-            e => {},
-            f => {},
-        },
-        test_count => 10,
-        tests => sub {
-            my ($r) = @_;
-            is($r->absolute_majority, 3, "Can get absolute_majority");
-            is($r->ballot_count, 5, "can get ballot count");
-            is($r->not_empty_ballot_count, 3, "can get ballot count");
-            is($r->empty_ballot_count, 2, "can get empty ballot count");
-            is($r->voting_count, 6, "can get voting count");
-            is($r->signing_count, 5, "can get signing count");
-            my $res = $r->results;
-            is($res->[0]->{value}, 'ch1', "winner is ch1");
-            is($res->[0]->{count}, 3, "winner has 3 voices");
-            is(@$res, 4, "count of winners");
-            is($res->[3]->{count}, 0, "last has 0 voices");
-        }
-    },
-];
-
-my $poll_test_count = 0;
-$poll_test_count += ($_->{test_count} || 0) foreach(@$test_polls);
-
-plan tests => 
-    3                          # Fixed test 
-    + scalar(@$test_polls) * 6 # number of tested polls scenario
-    + $poll_test_count;        # poll test
-
-use_ok 'Vote', 'Vote';
-use_ok 'Vote::DB';
-$ENV{EPOLL_NO_COMMIT} = 1;
-isa_ok(my $vote = Vote::DB->new(Vote->config->{db}), 'Vote::DB');
-
-my $count = 0;
-foreach my $tpoll (@$test_polls) {
-    $count++;
-    diag("Testing vote #$count: " . ($tpoll->{poll}{label} || 'No name'));
-    ok(my $pollid = $vote->create_poll('test@', "Vote test $count", "password"),
-        "can create a new poll");
-
-    isa_ok(my $poll = $vote->poll($pollid), 'Vote::DB::Poll');
-
-    ok(my $puid = $poll->uid, "can get poll uid");
-    is($vote->poll_id_from_uid($puid), $pollid, "can get id from uid");
-
-    foreach (keys %{ $tpoll->{poll} || {}}) {
-        $poll->param($_ => $tpoll->{poll}{$_});
-    }
-
-    $poll->addupd_voting($_) foreach (@{ $tpoll->{voting} || [] });
-
-    foreach (@{ $tpoll->{choices} || [] }) {
-        $poll->add_choice($_);
-    }
-
-    ok(eq_set(
-            [ map { $poll->choice($_)->info->{label} } $poll->choices ],
-            $tpoll->{choices} || []), "choices were added");
-
-    foreach my $name (keys %{ $tpoll->{ballot} || {} }) {
-        $poll->register_ballot(
-            $name, $tpoll->{ballot}{$name}{sbal}, 'localhost'
-        );
-    }
-    
-    isa_ok(my $results = $vote->results($pollid), 'Vote::DB::Poll');
-
-    $tpoll->{tests}->($results);
-
-    $vote->db->rollback; # really rollback
-}
-
Index: trunk/t/11Epoll_DB_crypted.t
===================================================================
--- trunk/t/11Epoll_DB_crypted.t	(revision 242)
+++ trunk/t/11Epoll_DB_crypted.t	(revision 242)
@@ -0,0 +1,36 @@
+use strict;
+use warnings;
+use Test::More tests => 13;
+
+# $Id$
+
+use_ok 'Epoll', 'Epoll';
+use_ok 'Epoll::DB';
+$ENV{EPOLL_NO_COMMIT} = 1;
+isa_ok(my $vote = Epoll::DB->new(Epoll->config->{db}), 'Epoll::DB');
+
+ok(my $pollid = $vote->create_poll('test@', "Vote test", "password"),
+    "can create a new poll");
+
+isa_ok(my $poll = $vote->poll($pollid), 'Epoll::DB::Poll');
+
+ok($poll->gen_poll_keys('keypass'), 'can generate poll keys');
+
+$poll->addupd_voting($_) foreach (qw(a b c));
+
+$poll->register_ballot('a', ['ch', 'ch2'], 'localhost');
+$poll->register_ballot('b', ['ch'], 'localhost');
+$poll->register_ballot('c', [], 'localhost');
+
+isa_ok(my $results = $vote->results($pollid), 'Epoll::DB::Poll');
+
+ok($results->decrypted_ballots('keypass'), "Can decrypt ballot");
+
+is($results->ballot_count_crypt, 3, "ballot count is 3");
+is($results->ballot_count_clear, 3, "ballot count is 3");
+
+ok(my $res = $results->results, "can get results");
+is($res->[0]->{value}, 'ch', "winner is ch");
+is($res->[0]->{count}, 2, "winner has two voices");
+
+$vote->db->rollback; # really rollback
Index: trunk/t/11Vote_DB_crypted.t
===================================================================
--- trunk/t/11Vote_DB_crypted.t	(revision 228)
+++ 	(revision )
@@ -1,36 +1,0 @@
-use strict;
-use warnings;
-use Test::More tests => 13;
-
-# $Id$
-
-use_ok 'Vote', 'Vote';
-use_ok 'Vote::DB';
-$ENV{EPOLL_NO_COMMIT} = 1;
-isa_ok(my $vote = Vote::DB->new(Vote->config->{db}), 'Vote::DB');
-
-ok(my $pollid = $vote->create_poll('test@', "Vote test", "password"),
-    "can create a new poll");
-
-isa_ok(my $poll = $vote->poll($pollid), 'Vote::DB::Poll');
-
-ok($poll->gen_poll_keys('keypass'), 'can generate poll keys');
-
-$poll->addupd_voting($_) foreach (qw(a b c));
-
-$poll->register_ballot('a', ['ch', 'ch2'], 'localhost');
-$poll->register_ballot('b', ['ch'], 'localhost');
-$poll->register_ballot('c', [], 'localhost');
-
-isa_ok(my $results = $vote->results($pollid), 'Vote::DB::Poll');
-
-ok($results->decrypted_ballots('keypass'), "Can decrypt ballot");
-
-is($results->ballot_count_crypt, 3, "ballot count is 3");
-is($results->ballot_count_clear, 3, "ballot count is 3");
-
-ok(my $res = $results->results, "can get results");
-is($res->[0]->{value}, 'ch', "winner is ch");
-is($res->[0]->{count}, 2, "winner has two voices");
-
-$vote->db->rollback; # really rollback
Index: trunk/t/20Epoll_Web.t
===================================================================
--- trunk/t/20Epoll_Web.t	(revision 242)
+++ trunk/t/20Epoll_Web.t	(revision 242)
@@ -0,0 +1,85 @@
+use strict;
+use warnings;
+use Test::More tests => 38;
+
+# $Id$
+
+$ENV{EPOLL_NO_COMMIT} = 1;
+
+use_ok 'Epoll', 'Epoll';
+use_ok 'Epoll::DB';
+use_ok 'Catalyst::Test', 'Epoll'; 
+
+my $vote = Epoll->model('Vote');
+
+ok(my $pollid = $vote->create_poll('test@', 'Test poll', 'password'),
+    "Can get new poll id");
+
+ok(my $poll = $vote->poll($pollid), "Can get poll object");
+
+ok(my $vote_uid = $poll->uid, "Can get uid");
+
+ok($poll->addupd_voting('user@', 'id'), "Can add a voting");
+ok(my $votingpass = $poll->voting_from_mail('user@')->gen_passwd,
+    'can get voting password');
+
+diag("Test request before poll");
+ok( request('/')->is_success, 'Request should succeed' );
+ok( request("/poll/$pollid")->is_success, "Request /poll/$pollid should succeed" );
+ok( request("/poll/$vote_uid")->is_success, "Request /poll/$vote_uid should succeed" );
+
+ok( request("/admin/$pollid?vpass$pollid=password")->is_success,
+    "Request /admin/$pollid should succeed" );
+ok( request("/admin/$pollid/voting?vpass$pollid=password")->is_success,
+    "Request /admin/$pollid/voting should succeed" );
+ok( request("/admin/$pollid/ballot?vpass$pollid=password")->is_success,
+    "Request /admin/$pollid/ballot should succeed" );
+
+ok( request("/ballot/$pollid")->is_success, "Request /admin/$pollid should succeed" );
+ok( request("/ballot/$pollid?mail=user@;password=$votingpass")->is_success,
+    "Request /admin/$pollid should succeed" );
+
+# Be sure today is included:
+diag("Test request during poll");
+ok($poll->param( start => '1/1/2000', end => '2/1/3000'),
+    "Can set poll date");
+
+ok( request('/')->is_success, 'Request should succeed' );
+ok( request("/poll/$pollid")->is_success, "Request /poll/$pollid should succeed" );
+ok( request("/poll/$pollid/report.pdf")->is_success, "Request /poll/$pollid/report.pdf should succeed" );
+
+ok( request("/admin/$pollid?vpass$pollid=password")->is_success,
+    "Request /admin/$pollid should succeed" );
+ok( request("/admin/$pollid/voting?vpass$pollid=password")->is_success,
+    "Request /admin/$pollid/voting should succeed" );
+ok( request("/admin/$pollid/ballot?vpass$pollid=password")->is_success,
+    "Request /admin/$pollid/ballot should succeed" );
+
+ok( request("/ballot/$pollid")->is_success, "Request /admin/$pollid should succeed" );
+ok( request("/ballot/$vote_uid")->is_success, "Request /admin/$vote_uid should succeed" );
+ok( request("/ballot/$pollid?mail=user@;password=$votingpass")->is_success,
+    "Request /admin/$pollid should succeed" );
+
+
+diag("Test request after poll");
+ok($poll->param( start => '1/1/1900', end => '2/1/1900'),
+    "Can set poll date");
+
+ok( request('/')->is_success, 'Request should succeed' );
+ok( request("/poll/$pollid")->is_success, "Request /poll/$pollid should succeed" );
+ok( request("/poll/$vote_uid")->is_success, "Request /poll/$vote_uid should succeed" );
+ok( request("/poll/$pollid/report.pdf")->is_success, "Request /poll/$pollid/report.pdf should succeed" );
+ok( request("/poll/$pollid/results.pdf")->is_success, "Request /poll/$pollid/results.pdf should succeed" );
+ok( request("/poll/$vote_uid/results.pdf")->is_success, "Request /poll/$vote_uid/results.pdf should succeed" );
+
+ok( request("/admin/$pollid?vpass$pollid=password")->is_success,
+    "Request /admin/$pollid should succeed" );
+ok( request("/admin/$pollid/voting?vpass$pollid=password")->is_success,
+    "Request /admin/$pollid/voting should succeed" );
+ok( request("/admin/$pollid/ballot?vpass$pollid=password")->is_success,
+    "Request /admin/$pollid/ballot should succeed" );
+
+ok( request("/ballot/$pollid")->is_success, "Request /admin/$pollid should succeed" );
+ok( request("/ballot/$pollid?mail=user@;password=$votingpass")->is_success,
+    "Request /admin/$pollid should succeed" );
+
Index: trunk/t/20Vote_Web.t
===================================================================
--- trunk/t/20Vote_Web.t	(revision 228)
+++ 	(revision )
@@ -1,85 +1,0 @@
-use strict;
-use warnings;
-use Test::More tests => 38;
-
-# $Id$
-
-$ENV{EPOLL_NO_COMMIT} = 1;
-
-use_ok 'Vote', 'Vote';
-use_ok 'Vote::DB';
-use_ok 'Catalyst::Test', 'Vote'; 
-
-my $vote = Vote->model('Vote');
-
-ok(my $pollid = $vote->create_poll('test@', 'Test poll', 'password'),
-    "Can get new poll id");
-
-ok(my $poll = $vote->poll($pollid), "Can get poll object");
-
-ok(my $vote_uid = $poll->uid, "Can get uid");
-
-ok($poll->addupd_voting('user@', 'id'), "Can add a voting");
-ok(my $votingpass = $poll->voting_from_mail('user@')->gen_passwd,
-    'can get voting password');
-
-diag("Test request before poll");
-ok( request('/')->is_success, 'Request should succeed' );
-ok( request("/poll/$pollid")->is_success, "Request /poll/$pollid should succeed" );
-ok( request("/poll/$vote_uid")->is_success, "Request /poll/$vote_uid should succeed" );
-
-ok( request("/admin/$pollid?vpass$pollid=password")->is_success,
-    "Request /admin/$pollid should succeed" );
-ok( request("/admin/$pollid/voting?vpass$pollid=password")->is_success,
-    "Request /admin/$pollid/voting should succeed" );
-ok( request("/admin/$pollid/ballot?vpass$pollid=password")->is_success,
-    "Request /admin/$pollid/ballot should succeed" );
-
-ok( request("/ballot/$pollid")->is_success, "Request /admin/$pollid should succeed" );
-ok( request("/ballot/$pollid?mail=user@;password=$votingpass")->is_success,
-    "Request /admin/$pollid should succeed" );
-
-# Be sure today is included:
-diag("Test request during poll");
-ok($poll->param( start => '1/1/2000', end => '2/1/3000'),
-    "Can set poll date");
-
-ok( request('/')->is_success, 'Request should succeed' );
-ok( request("/poll/$pollid")->is_success, "Request /poll/$pollid should succeed" );
-ok( request("/poll/$pollid/report.pdf")->is_success, "Request /poll/$pollid/report.pdf should succeed" );
-
-ok( request("/admin/$pollid?vpass$pollid=password")->is_success,
-    "Request /admin/$pollid should succeed" );
-ok( request("/admin/$pollid/voting?vpass$pollid=password")->is_success,
-    "Request /admin/$pollid/voting should succeed" );
-ok( request("/admin/$pollid/ballot?vpass$pollid=password")->is_success,
-    "Request /admin/$pollid/ballot should succeed" );
-
-ok( request("/ballot/$pollid")->is_success, "Request /admin/$pollid should succeed" );
-ok( request("/ballot/$vote_uid")->is_success, "Request /admin/$vote_uid should succeed" );
-ok( request("/ballot/$pollid?mail=user@;password=$votingpass")->is_success,
-    "Request /admin/$pollid should succeed" );
-
-
-diag("Test request after poll");
-ok($poll->param( start => '1/1/1900', end => '2/1/1900'),
-    "Can set poll date");
-
-ok( request('/')->is_success, 'Request should succeed' );
-ok( request("/poll/$pollid")->is_success, "Request /poll/$pollid should succeed" );
-ok( request("/poll/$vote_uid")->is_success, "Request /poll/$vote_uid should succeed" );
-ok( request("/poll/$pollid/report.pdf")->is_success, "Request /poll/$pollid/report.pdf should succeed" );
-ok( request("/poll/$pollid/results.pdf")->is_success, "Request /poll/$pollid/results.pdf should succeed" );
-ok( request("/poll/$vote_uid/results.pdf")->is_success, "Request /poll/$vote_uid/results.pdf should succeed" );
-
-ok( request("/admin/$pollid?vpass$pollid=password")->is_success,
-    "Request /admin/$pollid should succeed" );
-ok( request("/admin/$pollid/voting?vpass$pollid=password")->is_success,
-    "Request /admin/$pollid/voting should succeed" );
-ok( request("/admin/$pollid/ballot?vpass$pollid=password")->is_success,
-    "Request /admin/$pollid/ballot should succeed" );
-
-ok( request("/ballot/$pollid")->is_success, "Request /admin/$pollid should succeed" );
-ok( request("/ballot/$pollid?mail=user@;password=$votingpass")->is_success,
-    "Request /admin/$pollid should succeed" );
-
Index: trunk/t/controller_Admin.t
===================================================================
--- trunk/t/controller_Admin.t	(revision 228)
+++ trunk/t/controller_Admin.t	(revision 242)
@@ -3,6 +3,6 @@
 use Test::More tests => 3;
 
-BEGIN { use_ok 'Catalyst::Test', 'Vote' }
-BEGIN { use_ok 'Vote::Controller::Admin' }
+BEGIN { use_ok 'Catalyst::Test', 'Epoll' }
+BEGIN { use_ok 'Epoll::Controller::Admin' }
 
 ok( request('/admin')->is_redirect, 'Request should succeed' );
Index: trunk/t/controller_Ballot.t
===================================================================
--- trunk/t/controller_Ballot.t	(revision 228)
+++ trunk/t/controller_Ballot.t	(revision 242)
@@ -3,6 +3,6 @@
 use Test::More tests => 3;
 
-BEGIN { use_ok 'Catalyst::Test', 'Vote' }
-BEGIN { use_ok 'Vote::Controller::Ballot' }
+BEGIN { use_ok 'Catalyst::Test', 'Epoll' }
+BEGIN { use_ok 'Epoll::Controller::Ballot' }
 
 ok( request('/ballot')->is_redirect, 'Request should succeed' );
Index: trunk/t/controller_Epoll.t
===================================================================
--- trunk/t/controller_Epoll.t	(revision 242)
+++ trunk/t/controller_Epoll.t	(revision 242)
@@ -0,0 +1,10 @@
+use strict;
+use warnings;
+use Test::More tests => 3;
+
+BEGIN { use_ok 'Catalyst::Test', 'Epoll' }
+BEGIN { use_ok 'Epoll::Controller::Vote' }
+
+ok( request('/vote')->is_redirect, 'Request should succeed' );
+
+
Index: trunk/t/controller_Newpoll.t
===================================================================
--- trunk/t/controller_Newpoll.t	(revision 228)
+++ trunk/t/controller_Newpoll.t	(revision 242)
@@ -3,6 +3,6 @@
 use Test::More tests => 3;
 
-BEGIN { use_ok 'Catalyst::Test', 'Vote' }
-BEGIN { use_ok 'Vote::Controller::Newpoll' }
+BEGIN { use_ok 'Catalyst::Test', 'Epoll' }
+BEGIN { use_ok 'Epoll::Controller::Newpoll' }
 
 ok( request('/newpoll')->is_success, 'Request should succeed' );
Index: trunk/t/controller_Vote.t
===================================================================
--- trunk/t/controller_Vote.t	(revision 228)
+++ 	(revision )
@@ -1,10 +1,0 @@
-use strict;
-use warnings;
-use Test::More tests => 3;
-
-BEGIN { use_ok 'Catalyst::Test', 'Vote' }
-BEGIN { use_ok 'Vote::Controller::Vote' }
-
-ok( request('/vote')->is_redirect, 'Request should succeed' );
-
-
Index: trunk/t/model_Epoll.t
===================================================================
--- trunk/t/model_Epoll.t	(revision 242)
+++ trunk/t/model_Epoll.t	(revision 242)
@@ -0,0 +1,6 @@
+use strict;
+use warnings;
+use Test::More tests => 1;
+
+BEGIN { use_ok 'Epoll::Model::Vote' }
+
Index: trunk/t/model_Vote.t
===================================================================
--- trunk/t/model_Vote.t	(revision 228)
+++ 	(revision )
@@ -1,6 +1,0 @@
-use strict;
-use warnings;
-use Test::More tests => 1;
-
-BEGIN { use_ok 'Vote::Model::Vote' }
-
Index: trunk/t/view_Latex.t
===================================================================
--- trunk/t/view_Latex.t	(revision 228)
+++ trunk/t/view_Latex.t	(revision 242)
@@ -3,4 +3,4 @@
 use Test::More tests => 1;
 
-BEGIN { use_ok 'Vote::View::Latex' }
+BEGIN { use_ok 'Epoll::View::Latex' }
 
Index: trunk/t/view_Mail.t
===================================================================
--- trunk/t/view_Mail.t	(revision 228)
+++ trunk/t/view_Mail.t	(revision 242)
@@ -3,4 +3,4 @@
 use Test::More tests => 1;
 
-BEGIN { use_ok 'Vote::View::Mail' }
+BEGIN { use_ok 'Epoll::View::Mail' }
 
Index: trunk/t/view_TT.t
===================================================================
--- trunk/t/view_TT.t	(revision 228)
+++ trunk/t/view_TT.t	(revision 242)
@@ -3,4 +3,4 @@
 use Test::More tests => 1;
 
-BEGIN { use_ok 'Vote::View::TT' }
+BEGIN { use_ok 'Epoll::View::TT' }
 