Index: trunk/root/templates/admin/date.tt
===================================================================
--- trunk/root/templates/admin/date.tt	(revision 262)
+++ trunk/root/templates/admin/date.tt	(revision 280)
@@ -11,16 +11,48 @@
     dhtmlxCalendarLangModules = new Array();
 
-    dhtmlxCalendarLangModules['fr'] = {
+    dhtmlxCalendarLangModules['locale'] = {
           langname: 'fr',
           dateformat: '%d/%m/%Y',
-          monthesFNames: ["Janvier", "FÃ©vrier", "Mars", "Avril", "Mai", "Juin", "Juillet", "AoÃ»t", "Septembre", "Octobre", "Novembre", "DÃ©cembre"],
-          monthesSNames: ["Jan", "FÃ©v", "Mar", "Avr", "Mai", "Jun", "Jui", "Aou", "Sep", "Oct", "Nov", "DÃ©c"],
-          daysFNames: ["Dimanche", "Lundi", "Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi"],
-          daysSNames: ["D", "L", "M", "M", "J", "V", "S"],
+          monthesFNames: [
+            "[% l('January') %]",
+            "[% l('Febrary') %]",
+            "[% l('March') %]",
+            "[% l('April') %]",
+            "[% l('May') %]",
+            "[% l('June') %]",
+            "[% l('July') %]",
+            "[% l('August') %]",
+            "[% l('September') %]",
+            "[% l('October') %]",
+            "[% l('November') %]",
+            "[% l('December') %]"
+          ],
+          monthesSNames: [
+            "[% l('Jan') %]",
+            "[% l('Feb') %]",
+            "[% l('Mar') %]",
+            "[% l('Apr') %]",
+            "[% l('May') %]",
+            "[% l('Jun') %]",
+            "[% l('Jul') %]",
+            "[% l('Aug') %]",
+            "[% l('Sep') %]",
+            "[% l('Oct') %]",
+            "[% l('Nov') %]",
+            "[% l('Dec') %]"],
+          daysFNames: [
+            "[% l('Sunday') %]",
+            "[% l('Monday') %]",
+            "[% l('Tuesday') %]",
+            "[% l('Wenesday') %]",
+            "[% l('Thirsday') %]",
+            "[% l('Friday') %]",
+            "[% l('Saturday') %]"],
+          daysSNames: [[%l('"S", "M", "T", "W", "T", "F", "S"') %]],
           weekend: [0, 6],
           weekstart: 1,
-          msgClose: "Fermer",
-          msgMinimize: "Minimiser",
-          msgToday: "Aujourd'hui",
+          msgClose: "[% l('Close') %]",
+          msgMinimize: "[% l('Minimize') %]",
+          msgToday: "[% l('Today') %]",
     }
     
@@ -30,5 +62,5 @@
         cal1.setOnClickHandler(selectDate1);
         cal1.setDateFormat('%d/%m/%Y');
-        cal1.loadUserLanguage('fr');
+        cal1.loadUserLanguage('locale');
         if (document.getElementById('calInput1').value != '') {
             cal1.setDate(document.getElementById('calInput1').value);
@@ -37,5 +69,5 @@
         cal2.setOnClickHandler(selectDate2);
         cal2.setDateFormat('%d/%m/%Y');
-        cal2.loadUserLanguage('fr');
+        cal2.loadUserLanguage('locale');
         if (document.getElementById('calInput2').value != '') {
              cal2.setDate(document.getElementById('calInput2').value);
@@ -78,9 +110,9 @@
 <form action="[% c.uri_for(poll.uid, 'date') %]" method="POST" id="dateform">
 
-<i>Les dates sont au format JJ/MM/AAAA HH:MM:SS</i><br>
+<i>[% l('Date format is') _ ' ' %] [% l('JJ/MM/AAAA HH:MM:SS') %]</i><br>
 [% IF dateerror %]<p class="alert">[% dateerror | html %]</p>[% END %]
 
-Debut du vote:<br>
-Date: 
+[% l('Poll start:') %]<br>
+[% l('date:') %]
 
 <input type="text" id="calInput1" name="dstart" value="[% c.req.param('dstart')
@@ -88,8 +120,8 @@
 <img style="cursor:pointer;" onClick="showCalendar(1)" src="[% c.uri_for('/static/dhtmlxCalendar/imgs', 'calendar.gif') %]" align="absmiddle"><div id="calendar1" style="position:absolute; left:199px; top:0px; display:none"></div>
 
-Heure: <input type="text" size=9 name="hstart" value="[% c.req.param('hstart') || poll.info('hstart') || '8:00' | html %]">
+[% l('time:') %] <input type="text" size=9 name="hstart" value="[% c.req.param('hstart') || poll.info('hstart') || '8:00' | html %]">
 <br>
-Fin du vote:<br>
-Date: 
+[% l('Poll end:') %]<br>
+[% l('date:') %]
 
 <input type="text" id="calInput2" name="dend" value="[% c.req.param('dend') ||
@@ -97,5 +129,5 @@
 <img style="cursor:pointer;" onClick="showCalendar(2)" src="[% c.uri_for('/static/dhtmlxCalendar/imgs', 'calendar.gif') %]" align="absmiddle"><div id="calendar2" style="position:absolute; left:199px; top:0px; display:none"></div>
 
-Heure: <input type="text" size=9 name="hend" value="[% c.req.param('hend') || poll.info('hend') || '18:00' | html %]">
+[% l('time:') %] <input type="text" size=9 name="hend" value="[% c.req.param('hend') || poll.info('hend') || '18:00' | html %]">
 <br>
 
@@ -113,4 +145,3 @@
 [% END %]
 
-
 <div style="clear: both"></div>