Index: trunk/root/templates/default.tt
===================================================================
--- trunk/root/templates/default.tt	(revision 284)
+++ trunk/root/templates/default.tt	(revision 285)
@@ -5,5 +5,5 @@
 <form action="[% c.uri_for %]" method="POST">
 [% IF novoting %]
-<p class="warning">[% l('Aucun vote en cours ne concerne') %] [% novoting | html %].</p>
+<p class="warning">[% l('You own no poll') %] [% novoting | html %].</p>
 [% END %]
 [% IF sendvoting %]
Index: trunk/root/templates/newpoll/default.tt
===================================================================
--- trunk/root/templates/newpoll/default.tt	(revision 284)
+++ trunk/root/templates/newpoll/default.tt	(revision 285)
@@ -3,5 +3,5 @@
 <form action="[% c.uri_for(reqid) %]" method="POST">
 [% c.model('Vote').poll_request_info(reqid).label | html %]<br>
-<p>Saisissez un mot de passe pour administrer votre vote</p>
+<p>[% l('Enter administration password for this poll') %]</p>
 <p><input type="password" name="passwd"></p>
 <p><input type="submit"></p>
Index: trunk/root/templates/newpoll/index.tt
===================================================================
--- trunk/root/templates/newpoll/index.tt	(revision 284)
+++ trunk/root/templates/newpoll/index.tt	(revision 285)
@@ -1,5 +1,5 @@
 <!-- $Id$ -->
 <div id="poll_request" class="page_box">
-<p>CrÃ©er un nouveau vote:</p>
+<p>[% l('Create a new poll') %]</p>
 
 <form action="[% c.uri_for() %]" method="POST">
@@ -7,8 +7,8 @@
 <table border="0">
 <tbody align="center">
-<tr><th>votre mail:</th><td><input type="text" name="mail" tabindex="1" size="45" maxlength="150"></td></tr>
-<tr><th>nom du vote:</th><td><input type="text" name="label" tabindex="2" size="45" maxlength="150"></td></tr>
+<tr><th>[% l('Your mail:') %]</th><td><input type="text" name="mail" tabindex="1" size="45" maxlength="150"></td></tr>
+<tr><th>[% l('Poll name:') %]</th><td><input type="text" name="label" tabindex="2" size="45" maxlength="150"></td></tr>
 <!-- Cf http://forge.ipsl.jussieu.fr/epoll/ticket/1
-<tr><th>mot de passe:</th><td><input type="password" name="vpasswd"></td></tr>
+<tr><th>[% l('Password') %]</th><td><input type="password" name="vpasswd"></td></tr>
 -->
 <tr><td></td><td><input type="submit" tabindex="3"></td></tr>
Index: trunk/root/templates/newpoll/norequest.tt
===================================================================
--- trunk/root/templates/newpoll/norequest.tt	(revision 284)
+++ trunk/root/templates/newpoll/norequest.tt	(revision 285)
@@ -2,7 +2,7 @@
 
 <div id="poll_request" class="box">
-<p class="alert">Je n'ai pas cette requÃªte de crÃ©ation de vote.</p>
+<p class="alert">[% l('No such request found') %]</p>
 
-Saisir ici l'identifiant reÃ§u par mail:
+[% l('Enter the request ID received by mail') %]
 <form action="[% c.uri_for('/newpoll', 'confirm') %]" method="POST">
 <input type="text" name="id"><br>
Index: trunk/root/templates/newpoll/request.tt
===================================================================
--- trunk/root/templates/newpoll/request.tt	(revision 284)
+++ trunk/root/templates/newpoll/request.tt	(revision 285)
@@ -1,10 +1,11 @@
 <!-- $Id$ -->
 <div id="poll_request" class="box">
-<p>Un mail indiquant la procÃ©dure de confirmation de crÃ©ation du vote vient
-d'Ãªtre envoyÃ© Ã  l'adresse [% c.req.param('mail') | html %].</p>
+<p>
+[% l('A mail has been sent to [_1], follow the procedure to complete poll
+creation', c.req.param('mail')) %]</p>
 
-<p>Merci.</p>
+<p>[% l('Thank you') %]</p>
 
-Saisir ici l'identifiant reÃ§u par mail:
+<p>[% l('You can enter the request code here') %]</p>
 <form action="[% c.uri_for('/newpoll', 'confirm') %]" method="POST">
 <input type="text" name="id"><br>
Index: trunk/root/templates/vote/default.tt
===================================================================
--- trunk/root/templates/vote/default.tt	(revision 284)
+++ trunk/root/templates/vote/default.tt	(revision 285)
@@ -14,5 +14,5 @@
 [% CASE 'BEFORE' %]
 <div class="page_box">
-<p>Ce scrutin n'est pas encore ouvert.</p>
+<p>[% l('This poll is not opened yet') %]</p>
 </div>
 [% INCLUDE 'includes/signing_list.tt' %]